You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#26 2006-02-24 16:50:29

aurel
Member
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Besoin de quelques petites explications

tu oublies un ptit truc jm.cierniewski je dois aussi penser à sauvegarder le répertoire dans lequel j'ai mis les documents que je joint aux Pc ou autres mais c'est vrai qu'en 10 min montre en main on à tout réinstallé pour peu qu'on ai pensé à faire une sauvegarde des bases de données wink

@+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#27 2006-02-24 17:58:05

mystikal
Member
From: Grigny
Registered: 2006-02-23
Posts: 24

Re: Besoin de quelques petites explications

euh... houston j'ai un problème j'ai que 2 modules sur 5 qui fonctionnent bien, les autres (Compress::Zlib module, DBI module et BDB::mysql module ) ils bloquent quand je fais "make" ça me dit :

Skip blib/lib/Compress/Zlib.pm (unchanged)
gcc -c  -I./zlib-src -D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables   -DVERSION=\"1.41\" -DXS_VERSION=\"1.41\" -fPIC "-I/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE"   Zlib.c
/bin/sh: gcc: command not found
make: *** [Zlib.o] Erreur 127

J'ai peur au secours :-( :-( lol. Un peu d'eclaircissement sera le bienvenu dans ma ptite tête.
Et en conséquence de ça quand je me connecte sur http://localhost/ocsreports il me dit :

WARNING: Zip for PHP is not properly installed.
You will not be able to upload windows agents
Try uncommenting ";extension=php_zip.dll" (windows) by removing the semicolon in file php.ini, or try installing the php4-zip package (Linux).

ERROR: Can't connect to MySql. Please enter a valid login/pass. (host=localhost name=root pass=) (==> je sais que cette ligne est "normale")
Mysql error: Access denied for user 'root'@'localhost' (using password: NO)

Donc je viens encore une fois (je sais que je suis chiant et pas doué) vous demader de l'aide. Merci d'avance.

Pour Sqwall : moi j'en suis à installer OCS sur mon serveur LINUX (j'ai déjà installer GLPI) et pr l'instant comme tu le vois ça ne fonctionne po très bien.


OS : Windows XP pro Sp2  Navigateurs :  Internet Explorer / Mozilla Firefox 1.5
Installation :  Package Ocs NG - XAMPP version 2.1 / GLPI 0.6
Serveur :  Apache 2.0 / MySQL 5.0.15  Langage :  PHP 5.0.5 + PHP 4.4.1 pl1 / phpMyAdmin 2.6.4-pl3

Offline

#28 2006-02-24 18:05:55

mystikal
Member
From: Grigny
Registered: 2006-02-23
Posts: 24

Re: Besoin de quelques petites explications

C encore moi, je voulais juste vous dire que malgré les modules qui n'ont pas fonctionner quand je vais sur http://localhost/ocsreports après connexion j'ai ça :

WARNING: Zip for PHP is not properly installed.
You will not be able to upload windows agents
Try uncommenting ";extension=php_zip.dll" (windows) by removing the semicolon in file php.ini, or try installing the php4-zip package (Linux).

MySql config file successfully written

Database successfully generated

Deploy files successfully inserted

Table 'files' was empty

No subnet.csv file to import

Network netid computing. Please wait...

Network netid was computed=> 0 successful, 0 were already computed, 0 were not computable

Netmap netid computing. Please wait...

Netmap netid was computed=> 0 successful, 0 were already computed, 0 were not computable

Quelqu'un peut me dire si je peux appuyer sur le bouton "Envoyer" ou pas?
Merci encore.


OS : Windows XP pro Sp2  Navigateurs :  Internet Explorer / Mozilla Firefox 1.5
Installation :  Package Ocs NG - XAMPP version 2.1 / GLPI 0.6
Serveur :  Apache 2.0 / MySQL 5.0.15  Langage :  PHP 5.0.5 + PHP 4.4.1 pl1 / phpMyAdmin 2.6.4-pl3

Offline

#29 2006-02-24 18:16:56

yann
Member
Registered: 2005-08-25
Posts: 164

Re: Besoin de quelques petites explications

Bonjour,

Pour les questions relatives à OCS vaut peut être mieux aller voir sur le forum d'OCS car il semble qu'il y a déjà des réponses pour les WARNING.

La doc d'OCS en fait également mention.

Cordialement,

Yann

Offline

#30 2006-02-24 18:52:54

mystikal
Member
From: Grigny
Registered: 2006-02-23
Posts: 24

Re: Besoin de quelques petites explications

Tu as tout à fait raison Yann mais depuis ce midi je suis sur cette documentation et j'essaye des manips grâce à elle mais cependant ça ne coute rien de demander à des personnes qui l'int déjà installé pour qu'ils puissent m'aiguiller. Je ne veux en aucun cas passer pour un imbécile mais si on peut m'aider sur ce forum je vois as pk je ne demanderais pas.
Mais encore une fois tu as tout à fait raison de dire que la doc est là pr ça (surtout ac 87 pages).


OS : Windows XP pro Sp2  Navigateurs :  Internet Explorer / Mozilla Firefox 1.5
Installation :  Package Ocs NG - XAMPP version 2.1 / GLPI 0.6
Serveur :  Apache 2.0 / MySQL 5.0.15  Langage :  PHP 5.0.5 + PHP 4.4.1 pl1 / phpMyAdmin 2.6.4-pl3

Offline

#31 2006-02-24 21:11:12

aurel
Member
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Besoin de quelques petites explications

c'est tout bête regarde et lis bien la phrase:

"/bin/sh: gcc: command not found" il faut donc que tu installer GCC pour que sa compile wink. Après c'est normale que lorsque tu ailles sur la page http://localhost/ocsreports cela fonctionne car il faut juste un mysql un apache avec perl et php et c'est tout mais ce n'est pas pour autant que tout fonctionnera comme par exemple  les remontées automatique des agents ne se feront pas si tu n'a pas compile php avec l'extension ZIP. Oui tu peux tout à fait appuyez sur envoie mais n'oublie pas que sans support du zip point de remonté automatique wink. Quelle distrib utilises tu ?


@+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#32 2006-02-24 21:47:17

jm.cierniewski
Member
From: Nanterre 92
Registered: 2005-11-02
Posts: 1,654

Re: Besoin de quelques petites explications

euuu , je veu pas foutre le b... mais sous windows ( et vi je sais lol) y a pas tout ces probléme de make, de config a la mord moi l'n....
wink


Plateforme :
OS : Windows 2003 Sp1 / logiciel de décompactage : Winzip / Navigateurs : Internet Explorer 6sp1 / firefox 1.5
Installation : Package Ocs NG RC3  - XAMPP version 1.5.1
Serveur  : Apache 2.0.55 / Base : 5.0.18-nt / Langage : PHP 5.1.1 / PhpMyAdmin 2.7.0-pl1

Offline

#33 2006-02-24 22:43:22

aurel
Member
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Besoin de quelques petites explications

lol avec une bonne distribe non plus tongue (ça va partir en troll tout ça big_smile )

@+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#34 2006-02-25 00:08:16

mystikal
Member
From: Grigny
Registered: 2006-02-23
Posts: 24

Re: Besoin de quelques petites explications

Pour aurel:
j'utilise une Fedora core 4 sous un pentium 3, pk? (tu as des conseils pr moi?)
Gcc c'est un logiciel?
J'ai aussi un pti probléme ac mon linux car ma commande yum n'arrive pas à se connecter sur internet pour télécharger et installer les packages : elle me parle de "basheur 1" quelque chose comme ça (je me rapel pas de tout et je suis chez moi donc je pourrai vous dire toute la ligne que lundi matin)
Bon week end à tout le monde quand même. C'est bien beau tout ça mais n'oublions tout de même pas de vivre et de s'amuser surtout le week end qui est fait pour. Merci encore pour toute votre aide et conseils. ;-)


OS : Windows XP pro Sp2  Navigateurs :  Internet Explorer / Mozilla Firefox 1.5
Installation :  Package Ocs NG - XAMPP version 2.1 / GLPI 0.6
Serveur :  Apache 2.0 / MySQL 5.0.15  Langage :  PHP 5.0.5 + PHP 4.4.1 pl1 / phpMyAdmin 2.6.4-pl3

Offline

#35 2006-02-25 13:20:49

aurel
Member
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Besoin de quelques petites explications

GCC est un "logiciel" c'est surtout le compilateur donc si t'as pas de compilateur tu ne peux pas compiler les packages décrit dans la doc. Si yum ne fonctionne pas essaye de passer par l'outil graphique fournit avec Fedora mais j'ai oublié son nom. Pour avoir GCC et tout ce qu'il faut pour compiler il faut que tu choisisse si tes en graphique les outils de compilations. T'as pas du lire le tuto sur l'install d'un serveur OCS NG wink parce que dedans j'explique que tous les packages sauf 1 sont téléchargeables en rpm wink (sauf apache:DBI qu'il faut compiler)

Voila le nom des packages:

- Perl-Compress-Zlib
- Perl-DBD-mysql
- Perl-DBI

et n'oublie pas le plus important enfin ils le sont tous lol http://search.cpan.org/~abh/Apache-DBI/DBI.pm


@+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#36 2006-02-27 11:20:50

mystikal
Member
From: Grigny
Registered: 2006-02-23
Posts: 24

Re: Besoin de quelques petites explications

J'ai un pti problème : j'ai télécharger gcc-4.0.2, je l'ai dezippé avec tar -xvzf et ensuite j'ai essayé de refaire "make" pour Compress-Zlib, DBI et BDB et il me redit :

gcc -c   -D_REENTRANT -D_GNU_SOURCE -DDEBUGGING -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables   -DVERSION=\"1.50\" -DXS_VERSION=\"1.50\" -fPIC "-I/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE"  -W -Wall -Wpointer-arith -Wbad-function-cast -Wno-comment -Wno-sign-compare -Wno-cast-qual -Wdisabled-optimization -Wmissing-noreturn -Wno-unused-parameter Perl.c
/bin/sh: gcc: command not found
make: *** [Perl.o] Erreur 127

Que dois-je faire? Comment compiler? (Tous les fichiers .tar ont été dézippés au même endroit : /root/Desktop/)
Pour mon problème de yum install ... voici le message exact :

Setting up Install Process
Setting up repositories
Cannot find a valid baseurl for repo: updates-released

Le problème vient peut-être du fait que je suis dérrière un proxy, qu'en dites vous?


OS : Windows XP pro Sp2  Navigateurs :  Internet Explorer / Mozilla Firefox 1.5
Installation :  Package Ocs NG - XAMPP version 2.1 / GLPI 0.6
Serveur :  Apache 2.0 / MySQL 5.0.15  Langage :  PHP 5.0.5 + PHP 4.4.1 pl1 / phpMyAdmin 2.6.4-pl3

Offline

Board footer

Powered by FluxBB